## convenience script for local builds.
## it is needed to setup your environment before the usage.


export ETICS_WORKSPACE=/home/adevress/workspace/
export MY_WORKSPACE=/home/adevress/myworkspace/srm-ifce/

# configure
if [[ "x$1" == "x" ]]; then
	mkdir -p src/autogen build; 
	aclocal -I m4-EPEL/; 
	libtoolize --force; 
	autoheader; 
	automake --foreign --add-missing --copy; 
	autoconf
	cd build;
	../configure --enable-debug --enable-wall --prefix=/usr --with-version=1.0 --with-release=0
	cd .. ;
fi


make -C build all
